Update Workers for Platforms Dispatch Namespace
Update a Workers for Platforms dispatch namespace.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Accepted Permissions (at least one required)
Path Parameters
Body ParametersJSON
Whether the Workers in the namespace are executed in a “trusted” manner. When a Worker is trusted, it has access to the shared caches for the zone in the Cache API, and has access to the request.cf object on incoming Requests. When a Worker is untrusted, caches are not shared across the zone, and request.cf is undefined. By default, Workers in a namespace are “untrusted”.
Update Workers for Platforms Dispatch Namespace
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workers/dispatch/namespaces/$DISPATCH_NAMESPACE \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"name": "my-dispatch-namespace"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"created_by": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2017-01-01T00:00:00Z",
"modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
"modified_on": "2017-01-01T00:00:00Z",
"namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"namespace_name": "my-dispatch-namespace",
"script_count": 800,
"trusted_workers": false
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"created_by": "023e105f4ecef8ad9ca31a8372d0c353",
"created_on": "2017-01-01T00:00:00Z",
"modified_by": "023e105f4ecef8ad9ca31a8372d0c353",
"modified_on": "2017-01-01T00:00:00Z",
"namespace_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"namespace_name": "my-dispatch-namespace",
"script_count": 800,
"trusted_workers": false
}
}